syncprims.h File Reference
`#include <log4cplus/config.hxx>`
`#include <mutex>`
`#include <condition_variable>`
Include dependency graph for syncprims.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::thread::SyncGuard< SyncPrim >
class | log4cplus::thread::SimpleMutex
class | log4cplus::thread::Mutex
class | log4cplus::thread::Semaphore
class | log4cplus::thread::ManualResetEvent
class | log4cplus::thread::SharedMutexImplBase
class | log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >
class | log4cplus::thread::SharedMutex

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread

## Typedefs

typedef SyncGuard< SimpleMutex > | log4cplus::thread::SimpleMutexGuard
typedef SyncGuard< Mutex > | log4cplus::thread::MutexGuard
typedef SyncGuard< Semaphore > | log4cplus::thread::SemaphoreGuard
typedef SyncGuardFunc< SharedMutex, &SharedMutex::rdlock, &SharedMutex::rdunlock > | log4cplus::thread::SharedMutexReaderGuard
typedef SyncGuardFunc< SharedMutex, &SharedMutex::wrlock, &SharedMutex::wrunlock > | log4cplus::thread::SharedMutexWriterGuard